Welcome to InspirePilots.com

Join the leading DJI Inspire community for free!

Update firmware or not?

Discussion in 'General Discussion' started by Museummatt, Jan 20, 2016.

  1. Museummatt

    Joined:
    Jan 20, 2016
    Messages:
    1
    Likes Received:
    0
    Flying a friend's I1 tomorrow for an important job. Test flight today went well but the app is telling me to update everything. (He hasn't flown it since October). My experience tells me not to update before an important job when everything seems to be working fine, but I'm curious how the latest firmware is treating everyone. Anybody having any issues? What's the scoop?
     
  2. Djnlori

    Joined:
    Nov 27, 2015
    Messages:
    2
    Likes Received:
    0
    I installed last update 12/22/2015 and have not had any issues, flew again today 25F and all went well.
     
  3. The Editor

    The Editor Moderator
    Staff Member

    Joined:
    Aug 7, 2013
    Messages:
    6,719
    Likes Received:
    3,872
    My advice........Never, EVER update the day before an important job - EVER!

    Although the current firmware is fine and stable you could run the risk of the update failing on your own machine.
    Additionally, there maybe features or characteristics in the new firmware which you are not familiar with (like the cold temp protection in v1.6.0.40).
    Do the job, then update, then familiarise yourself with the new FW.
     
    John Archer, Scotflieger and JasonUK like this.
  4. Deon

    Joined:
    Jan 10, 2016
    Messages:
    30
    Likes Received:
    2
    Location:
    WESTERN AUSTRALIA
    I'm with the Editor, keep to what you have working then update, nothing worse being grounded when you have purpose to fly, have a great shoot
     
    John Archer likes this.
  5. Air Miles

    Joined:
    Oct 21, 2015
    Messages:
    104
    Likes Received:
    40
    Location:
    USA
    I agree with the Editor so do not update before a job, you may be grounded. Updates are giving us stuff like battery updates to protect you in cold weather in which we do need. I could careless about the templates and other stuff not associated with the camera and flying. In fact the FAA is doing all they can to limit our ability to fly above 400 ft. which is the legal limit. In the last update they took away the slider that disengages the altitude limit set point and DJI set the Max set point at 500 meters. I now hear from a reputable source that the FAA will be mandating that DJI make the maximum set point 120 meters to prevent anyone from flying above 400 ft.
     
    #5 Air Miles, Jan 21, 2016
    Last edited: Jan 22, 2016
  6. Trottnow

    Joined:
    Jan 13, 2016
    Messages:
    2
    Likes Received:
    1
    I would not update...might not let you fly because of No Fly Zone....
     
  7. Homestead Aerial

    Joined:
    May 14, 2015
    Messages:
    6
    Likes Received:
    0
    Have not flown since Dec. just tried to start up and I am getting the RC needs update, so I loaded the latest on SD card and tried to do update but the drone is not making any beeping sounds as before. Not sure what is up, and cannot get any connection between controller and drone.
     
  8. wbill

    Joined:
    Sep 7, 2015
    Messages:
    37
    Likes Received:
    8
    How does this work flying around mountains? Again compliance should not be forced but on as standard with option to override...
     
  9. low_budget

    Joined:
    Feb 3, 2016
    Messages:
    15
    Likes Received:
    5
    I currently have the following firmwares on my Inspire 1.
    aircraft: 1.3.00.00+
    controller: 1.4.30
    X3 camera: 1.4.00.10+

    Are there any known or reported issues with my original firmware? I'd like to keep it if all is good like my Phantom 3 advanced was before I updated to 1.6.40 and it was slower for cold weather protection.

    Also, I've never updated dji go past 2.4.3 which I think is a good thing.
     
  10. EMCSQUAR

    Joined:
    Sep 5, 2013
    Messages:
    1,659
    Likes Received:
    33
    Location:
    N 44.895 W 93.354 Minnesota
    Try deleting Go Ap and reloading. I had same issue after 1.5 update